<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterContasPagarReceberAddFormaRecebimento extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('contas_pagar_receber', function (Blueprint $table) {
            $table->smallInteger('forma_recebimento')->nullable(); // FormaPagamentoContaReceberEnum
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('contas_pagar_receber', function (Blueprint $table) {
            $table->dropColumn('forma_recebimento');
        });
    }
}
